Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

Archive idea

Archive an idea by ID. The idea is moved to Trash and will be permanently deleted after 30 days. Use the unarchive endpoint to restore it.

POST/ideas/{id}/archive
Authorization
AuthorizationBearer token · headerrequired

API key authentication. Generate an API key from your workspace settings.

Path parameters
idstring<uuid>required

Idea ID (UUID)

Responses
200

Idea archived successfully

idstring<uuid>required

Idea ID

workspaceIdstring<uuid>required

Workspace ID

archivedAtstring<date-time> | nullrequired

When the idea was archived

401

Unauthorized - Missing or invalid API key

codestring
messagestring
404

Not Found - Resource does not exist

codestring
messagestring
Try it
Server
Authorization
Parameters
Request
curl -X POST 'https://app.tryordinal.com/api/v1/ideas/497f6eca-6276-4993-bfeb-53cbbbba6f08/archive' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "workspaceId": "660e8400-e29b-41d4-a716-446655440000",
  "archivedAt": "2026-02-18T14:30:00.000Z"
}